Bug 12406 - Adding a column maxsuspensiondays in the table issuingrules breaks the UT t/db_dependent/Circulation_Issuingrule.t
Summary: Adding a column maxsuspensiondays in the table issuingrules breaks the UT t/d...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Yohann Dufour
QA Contact: Galen Charlton
URL:
Keywords:
Depends on: 12230
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-11 14:09 UTC by Yohann Dufour
Modified: 2015-06-04 23:33 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12406: adding the column maxsuspensiondays in the tests (3.43 KB, patch)
2014-06-11 14:34 UTC, Yohann Dufour
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12406: adding the column maxsuspensiondays in the tests (3.57 KB, patch)
2014-06-11 16:06 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 12406: adding the column maxsuspensiondays in the tests (3.62 KB, patch)
2014-06-18 15:07 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Yohann Dufour 2014-06-11 14:09:15 UTC
When we try to execute the UT : prove t/db_dependent/Circulation_issue.t, we got a failure :

t/db_dependent/Circulation_Issuingrule.t .. 1/9 
#   Failed test 'GetIssuingCharge returns issuingrule1's informations'
#   at t/db_dependent/Circulation_Issuingrule.t line 280.
#     Structures begin differing at:
#          $got->{maxsuspensiondays} = undef
#     $expected->{maxsuspensiondays} = Does not exist
# Looks like you failed 1 test of 9.
t/db_dependent/Circulation_Issuingrule.t .. Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/9 subtests 

Test Summary Report
-------------------
t/db_dependent/Circulation_Issuingrule.t (Wstat: 256 Tests: 9 Failed: 1)
  Failed test:  3
  Non-zero exit status: 1
Files=1, Tests=9,  2 wallclock secs ( 0.03 usr  0.01 sys +  1.43 cusr  0.09 csys =  1.56 CPU)
Result: FAIL
Comment 1 Yohann Dufour 2014-06-11 14:34:36 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2014-06-11 16:06:19 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-06-18 15:07:51 UTC
Created attachment 28945 [details] [review]
Bug 12406: adding the column maxsuspensiondays in the tests

The column maxsuspensiondays was added in the datatable but not in the tests, which caused the failure of the tests

test plan: execute prove t/db_dependent/Circulation_Issuingrule.t
The command has to print:
t/db_dependent/Circulation_Issuingrule.t .. ok
All tests successful.
Files=1, Tests=9,  2 wallclock secs ( 0.03 usr  0.01 sys +  1.35 cusr  0.08 csys =  1.47 CPU)
Result: PASS

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Failure on test before patch, success after
No koha-qa errors

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Tomás Cohen Arazi 2014-06-18 18:30:31 UTC
Pushed to master.

Thanks Yohann and congratulations for your first patch pushed!
Comment 5 Galen Charlton 2014-06-18 21:14:21 UTC
Pushed to 3.16.x for inclusion in 3.16.1.
Comment 6 Galen Charlton 2014-08-15 01:00:20 UTC
I pushed this to 3.16.x in error; it's only needed in master at present.  I've reverted this in 3.16.x.